> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate the actor's backup codes



## OpenAPI

````yaml /openapi.yaml put /auth/mfa/regenerateBackupCodes
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /auth/mfa/regenerateBackupCodes:
    put:
      tags:
        - Authenticate
      summary: Regenerate the actor's backup codes
      operationId: regenerateMFABackupCodes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MFAConfigRegenerateBackupCodes'
      responses:
        '200':
          description: The updated MFA config.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopedBackupCodes'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    MFAConfigRegenerateBackupCodes:
      type: object
      description: A request to regenerate the MFA's backup codes.
      properties:
        password:
          $ref: '#/components/schemas/Password'
      required:
        - password
    EnvelopedBackupCodes:
      type: object
      properties:
        items:
          $ref: '#/components/schemas/BackupCodes'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    Password:
      type: string
      format: password
      description: |
        A user password must contain at least:
        - 1 number,
        - 1 uppercase letter,
        - 1 lowercase letter,
        - 1 special character amongst the following:
          !"#$%&'()*+,-./:;<=>?@[]^_`{|}~
        - 12 characters.
        And it must not exceed 72 bytes.
      allOf:
        - type: string
          pattern: .*[0-9]{1}
        - type: string
          pattern: .*[A-Z]{1}
        - type: string
          pattern: .*[a-z]{1}
        - type: string
          pattern: .*[!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~]{1}
        - type: string
          pattern: ^.{12,72}$
    BackupCodes:
      type: array
      description: A list of 10 unique 16-characters backup codes.
      maxItems: 10
      minItems: 10
      items:
        $ref: '#/components/schemas/BackupCode'
      example:
        - E0ZE97NY1Z6WAW1L
        - 064M3TCQTR5B2Q74
        - 6BMR618ZH8CJ1WM5
        - 8ERR9CPIUL6FWB95
        - I8I09DQL5KHRS06A
        - NEGSE5TJGXCV2Z2G
        - 3XHWOE9DXL1YLKW1
        - VKWE0RN8RO3WXSMR
        - VV7U19AF4X1NSE83
        - V5DT0YG81DRXISEY
    EnvelopedErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    BackupCode:
      type: string
      description: A unique 16-characters backup code.
      maxLength: 16
      minLength: 16
      example: E0ZE97NY1Z6WAW1L
    Error:
      type: object
      readOnly: true
      properties:
        code:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        message:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        properties:
          $ref: '#/components/schemas/ErrorProperties'
      required:
        - message
        - code
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    ErrorProperties:
      type: object
      additionalProperties:
        type: string
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
  responses:
    BadRequest:
      description: >-
        The server could not understand the request due to invalid content (bad
        syntax, bad format, bad values, etc).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    NotAuthenticated:
      description: The caller is not authenticated.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    Forbidden:
      description: The caller is not allowed to perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    InternalServerError:
      description: An internal server error has occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````